package com.jenny.xp2items.config;

import net.minecraftforge.common.ForgeConfigSpec;
import net.minecraftforge.fml.common.Mod;

import static com.jenny.xp2items.Xp2Items.MODID;

@Mod.EventBusSubscriber(modid = MODID, bus = Mod.EventBusSubscriber.Bus.MOD)
public class ServerConfig {
    private static final ForgeConfigSpec.Builder BUILDER = new ForgeConfigSpec.Builder();
    public static final ForgeConfigSpec SPEC;

    public static final ForgeConfigSpec.ConfigValue<Integer> C_XP_AMOUNT;
    public static final ForgeConfigSpec.ConfigValue<Integer> C_ITEM_AMOUNT;
    public static final ForgeConfigSpec.ConfigValue<Boolean> C_DISABLE_LOOT_TABLES;

    static {
        C_XP_AMOUNT = BUILDER.comment("xp needed per loot drop, 0=per level").define("xp_amount", 25);
        C_ITEM_AMOUNT = BUILDER.comment("items per loot drop").define("item_amount", 1);
        C_DISABLE_LOOT_TABLES = BUILDER.comment("disable all loot tables").define("disable_loot_tables", false);

        SPEC = BUILDER.build();
    }
}
